Subject: [bug report] armada-8040-mcbin: 5.6-rc5 boot failure

From: Sergey Matyukevich <[email-masked]>
Date: Tue, 14 Apr 2020 01:05:20 +0300

Hi Russel, Miquel, and all,

MacchiatoBin Double-shot board fails to boot v5.6-rc5 kernel properly:
USB, PCIe, and ethernet interfaces are not enabled. Before that I have
been running v5.3 kernel w/o any noticeable issues.

In brief, USB and PCIe devices are not detected, ethernet PHY fails
to initialize with the following warnings:
[    2.444150] mvebu-comphy f4120000.phy: unsupported SMC call, try updating your firmware
[    2.452191] mvebu-comphy f4120000.phy: Firmware could not configure PHY 0 with mode 15 (ret: -1), trying legacy method
[    2.474615] mvpp2 f4000000.ethernet eth2: Using firmware node mac address ...
[    2.484420] mvebu-comphy f4120000.phy: unsupported SMC call, try updating your firmware

After quick bisection of the board dts files, I came to the following results:

- USB works again after reverting the following two commits:
  -- 96018a6fafb1 ("arm64: dts: marvell: Convert 7k/8k usb-phy properties to phy-supply")
  -- 01d0deba28f6 ("arm64: dts: marvell: Add 7k/8k PHYs in USB3 nodes")

- PCIe works again after reverting armada-8040-mcbin.dtsi parts of the
  following two commits:
  -- 1399672e48b5 ("arm64: dts: marvell: Drop PCIe I/O ranges from CP11x file")
  -- ce55522c035e ("arm64: dts: marvell: Add 7k/8k PHYs in PCIe nodes")

- ethernet: not yet...

However looking at firmware version complaints, I guess that the actual
reason of all those issues could be in ATF version rather than in the
latest DTS changes. Probably I am using ATF version which is too old
to work with up-to-date kernel: armada-17.10.3 from atf-marvell
repository on github. If this is indeed the actual root cause of all
the issues, then could you please recommend a preferable ATF version
to test with ?

Regards,
Sergey

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel